% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hablar.R
\name{convert}
\alias{convert}
\alias{num}
\alias{dbl}
\alias{int}
\alias{dte}
\alias{dtm}
\alias{fct}
\alias{lgl}
\alias{\code{convert}}
\alias{converts}
\alias{columns}
\alias{to}
\alias{new}
\alias{classes}
\alias{through}
\alias{scoping}
\alias{functions.}
\alias{Always}
\alias{factors}
\alias{character}
\alias{before}
\alias{conversion}
\alias{Type}
\alias{\code{vignette("convert")}}
\alias{in}
\alias{the}
\alias{console}
\alias{for}
\alias{more}
\alias{information.}
\alias{chr}
\title{Convert data type of columns}
\usage{
num(..., .args = list())

chr(..., .args = list())

lgl(..., .args = list())

int(..., .args = list())

dbl(..., .args = list())

fct(..., .args = list())

dtm(..., .args = list())

dte(..., .args = list())

convert(.x, ...)
}
\arguments{
\item{...}{Scoping functions, see details}

\item{.args}{extra argument to be passed to support function.}

\item{.x}{A data.frame}
}
\value{
a tbl data frame
}
\description{
Convert data type of columns
}
\examples{
\dontrun{

# Change one column to numeric and another to character
mtcars \%>\% 
  convert(num(gear),
          chr(mpg))


# Changing multiple data types on multiple columns
mtcars \%>\% 
  convert(int(hp,
              wt),
          fct(qsec,
              cyl,
              drat))

# Also works with tidyselect convenience functions
mtcars \%>\%
  convert(int(vs:carb),
          fct(last_col()))

}

}
\seealso{
\code{vignette("convert")}, \code{vignette("hablar")}
}
